/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Beans;

import java.sql.Time;
import java.sql.Timestamp;
import java.util.Date;

/**
 *
 * @author sistem20user
 */
public class HorarioCF {
	
	private Date fechaRegistro;
	private String nombreSede;
	private String dia;
	private String horario;
  private String cantidadHoras;
  private String codigoAula;
  private int codigoHistorial;
	private String docenteSaliente;
	private String cursoSaliente;
	private String fechaFin;
	private String motivoCambio;
	private String docenteEntrante;
	private String cursoEntrante;
	private String fechaInicio;
	private String condicionTrabajador;
	private String observacion;
	private String grupoAcademico;
	private Time hora;
	private String estadoEliminado;
	
	public HorarioCF(){
	
	}

	public String getEstadoEliminado() {
		return estadoEliminado;
	}

	public void setEstadoEliminado(String estadoEliminado) {
		this.estadoEliminado = estadoEliminado;
	}
	
	

	public Time getHora() {
		return hora;
	}

	public void setHora(Time hora) {
		this.hora = hora;
	}
	
	

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getDia() {
		return dia;
	}

	public void setDia(String dia) {
		this.dia = dia;
	}

	public String getGrupoAcademico() {
		return grupoAcademico;
	}

	public void setGrupoAcademico(String grupoAcademico) {
		this.grupoAcademico = grupoAcademico;
	}
	
	
	
	

	public String getNombreSede() {
		return nombreSede;
	}

	public void setNombreSede(String nombreSede) {
		this.nombreSede = nombreSede;
	}

	public String getHorario() {
		return horario;
	}

	public void setHorario(String horario) {
		this.horario = horario;
	}

	public String getCantidadHoras() {
		return cantidadHoras;
	}

	public void setCantidadHoras(String cantidadHoras) {
		this.cantidadHoras = cantidadHoras;
	}

	public String getCodigoAula() {
		return codigoAula;
	}

	public void setCodigoAula(String codigoAula) {
		this.codigoAula = codigoAula;
	}

	public int getCodigoHistorial() {
		return codigoHistorial;
	}

	public void setCodigoHistorial(int codigoHistorial) {
		this.codigoHistorial = codigoHistorial;
	}

	public String getDocenteSaliente() {
		return docenteSaliente;
	}

	public void setDocenteSaliente(String docenteSaliente) {
		this.docenteSaliente = docenteSaliente;
	}

	public String getCursoSaliente() {
		return cursoSaliente;
	}

	public void setCursoSaliente(String cursoSaliente) {
		this.cursoSaliente = cursoSaliente;
	}

	public String getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(String fechaFin) {
		this.fechaFin = fechaFin;
	}

	public String getMotivoCambio() {
		return motivoCambio;
	}

	public void setMotivoCambio(String motivoCambio) {
		this.motivoCambio = motivoCambio;
	}

	public String getDocenteEntrante() {
		return docenteEntrante;
	}

	public void setDocenteEntrante(String docenteEntrante) {
		this.docenteEntrante = docenteEntrante;
	}

	public String getCursoEntrante() {
		return cursoEntrante;
	}

	public void setCursoEntrante(String cursoEntrante) {
		this.cursoEntrante = cursoEntrante;
	}

	public String getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public String getCondicionTrabajador() {
		return condicionTrabajador;
	}

	public void setCondicionTrabajador(String condicionTrabajador) {
		this.condicionTrabajador = condicionTrabajador;
	}

	public String getObservacion() {
		return observacion;
	}

	public void setObservacion(String observacion) {
		this.observacion = observacion;
	}
	
	
	
	
	
}
